import { ElementRef, EventEmitter } from '@angular/core';
import * as GC from '@grapecity/inputman';
import { GcInputManBaseComponent } from './GcInputManBase';
export declare class GcDateTimeComponent extends GcInputManBaseComponent<GC.InputMan.GcDateTime> {
    constructor(ref: ElementRef);
    protected initGcComponent(): void;
    text: string | null;
    number: number;
    maxDate: Date | string | null;
    minDate: Date | string | null;
    formatPattern: string | null;
    spinIncrement: number;
    spinOnKeys: boolean;
    spinWrap: boolean;
    allowSpin: boolean;
    spinWheel: boolean;
    displayFormatPattern: string | null;
    watermarkEmptyEraText: string | null;
    promptChar: string | null;
    AMDesignator: string | null;
    PMDesignator: string | null;
    twoDigitYearMax: number;
    hour12Mode: GC.InputMan.Hour12Mode;
    tabAction: GC.InputMan.TabAction;
    maxMinBehavior: GC.InputMan.MaxMinBehavior;
    midnightAs24: boolean;
    showLiterals: GC.InputMan.ShowLiterals;
    adjustValueOnFocus: boolean;
    useTwoDigitYearMax: boolean;
    validateMode: GC.InputMan.ValidateMode;
    clipContent: GC.InputMan.ClipContent;
    value: Date | string;
    watermarkDisplayEmptyEraText: string | null;
    dropDownConfig: GC.InputMan.GcDateTimeDropDownConfig;
    exitOnLastChar: boolean;
    highlightText: GC.InputMan.HighlightText;
    showSpinButton: boolean;
    spinButtonPosition: string | null;
    showDropDownButton: boolean;
    dropDownButtonAlignment: string | null;
    showClearButton: boolean;
    onSpinDown: EventEmitter<object>;
    onSpinUp: EventEmitter<object>;
    onInvalidRange: EventEmitter<object>;
    onInvalidValue: EventEmitter<object>;
    onNumberChanged: EventEmitter<object>;
    onValueChanged: EventEmitter<object>;
    numberChange: EventEmitter<number>;
    valueChange: EventEmitter<Date>;
    protected bindEvent(): void;
}
